Interconnect

Overview

Imagine that you're able to interconnect with Tier 1 carriers like Airtel, TATA, Others.. using programmatically using API! This is exactly what this API endpoiunt allows you to acheive, after you initiate an interconnect you're able to start sending calls OR SMS messages via this carrier at wholesale prices, no contracts or commitments.

TCXC has hundreds of pre-interconnected carriers that are one API call away from you to interconnect with and consume.

Base URLhttps://apiv2.telecomsxchange.com
AuthenticationHTTP Digest

#Initiate Interconnect

POSThttps://apiv2.telecomsxchange.com/buyers/interconnect

After you have searched market view API and found a termination partner you'd like to interconnect with, use this API to complete interconnection, once the interconnection is completed, you may start terminating traffic to the vendor.

important

You will be represented with Tech prefix and Download carrier pricelist url in API response. please note that we also send the same to your NOC and Rates team email addresses on file as well.

Body parameters

application/x-www-form-urlencoded
addintegerrequired

Required value for new interconnects

Example 1

i_accountintegerrequired

Buyer i_account (Retreived from Buyers List Accounts APi)

Example 1

agreestringrequired

Yes is required to proceed

Example yes

idintegerrequired

i_connection ID - Retreived from Market View API.

Example 38

curl --digest \
  -u "$TCXC_USERNAME:$TCXC_API_KEY" \
  -X POST \
  "https://apiv2.telecomsxchange.com/buyers/interconnect" \
  -d "add=1" \
  -d "i_account=1" \
  -d "agree=yes" \
  -d "id=38"
Interconnection
SuccessInterconnection with TATA Communications completed
Tech prefix
33270#
Service
voice
Rendered from the example response.

#List Interconnects

POSThttps://apiv2.telecomsxchange.com/interconnections/list

This API allows you to list all interconnections you have in the system.

No parameters. Authentication is the only requirement.

curl --digest \
  -u "$TCXC_USERNAME:$TCXC_API_KEY" \
  -X POST \
  "https://apiv2.telecomsxchange.com/interconnections/list"
Interconnections1 active · 27 inactive
CarrierServiceTech prefixAccountStatus
0101SF001OpenRTPVoice29435#Contoso Voiceactive
Rendered from the example response.

#Block Interconnection

POSThttps://apiv2.telecomsxchange.com/interconnections/list

This API allows you to block a specific active interconnection from receiving any further traffic.

"blocked": "1" refers to the blocked interconnection.

"blocked": "0" refers to active interconnection.

Query parameters

blockintegeroptional

Example 63

Body parameters

application/x-www-form-urlencoded
blockintegerrequired

The ID of the interconnection (aka i_purchased_route)

Example 3

curl --digest \
  -u "$TCXC_USERNAME:$TCXC_API_KEY" \
  -X POST \
  "https://apiv2.telecomsxchange.com/interconnections/list" \
  -d "block=3"
Interconnections3 active · 4 inactive
CarrierServiceTech prefixAccountStatus
DEDeutscheHubbingSMS36310#Testblocked
DEDeutscheHubbingSMS36310#smppblocked
DEDeutscheHubbingSMS36310#SMPP-Testactive
Rendered from the example response.